Support

Home Forums Event Espresso Premium PayPal Commerce payment error – Advanced Card Fields

PayPal Commerce payment error – Advanced Card Fields

Posted: February 6, 2024 at 6:48 pm


y2k9s

February 6, 2024 at 6:48 pm

Since upgrading to 5.0.16, users are getting a popup error message when using PayPal Commerce payment gateway: “This merchant is not eligible for Advanced Card Fields checkout type.”

Running WP 6.4.3
PHP 8.1.27
https://www.y2k9s.net/

It had been working fine previously.

Thank you.


Rio

  • Support Staff

February 6, 2024 at 7:51 pm

Hello,

Can you give us information about your paypal?

What is your paypal account type? Personal, Business or Charity?

thanks


y2k9s

February 6, 2024 at 8:34 pm

It is a PayPal Business account.


Rio

  • Support Staff

February 6, 2024 at 10:41 pm

What is the address you put in paypal? There are some countries that is not allowed with Advanced Card Fields checkout type, Here’s the list https://developer.paypal.com/docs/checkout/advanced/.

Advance card fields works like stripe, wherein if they can checkout item using their card, if you don’t have option your customer can still use their paypal account to purchase the ticket.

thanks


y2k9s

February 7, 2024 at 6:06 am

This reply has been marked as private.


y2k9s

February 7, 2024 at 6:09 am

Additionally, if someone was to click the “Pay with Paypal” button, they get an error that says:
Got an error response (AJAX): There was an error with this payment. See the logs for details.


Rio

  • Support Staff

February 7, 2024 at 8:09 am

Can you update your plugin to the latest version?

Then do do the following.

1. Go to EE dashboard -> Payment method -> Paypal Commerce -> Disconnect
2. Clear the Meta Data button you’ll find on the bottom of the page
3. Connect again your paypal account.

If you can use loom to record what happen, it would be great.
https://loom.com/

then if still fails to connect, Can you send us log-in details?
https://eventespresso.com/send-login-details/

thanks


y2k9s

February 7, 2024 at 10:58 am

This reply has been marked as private.


Tony

  • Support Staff

February 7, 2024 at 1:04 pm

Hi there,

Is your PayPal account a Charity account?

Recently we updated the PayPal Commerce integration to follow PayPal’s latest integration recommendations and it looks like those are conflicting with your account.

I assume your account is fully confirmed?

I can send you version 5.0.11.p to install and see if you can connect using that version for now if you’d like? (We did change the PayPal Commerce payment method in that version)


Ted Karlsalr

February 7, 2024 at 2:53 pm

Hi there,
I have the same issue after updating to latest EE 5.0.17. It was working just fine before the latest update. I activated the Square for now and deactivate the PayPal Commerce

Omnilargess.com


y2k9s

February 7, 2024 at 3:07 pm

It’s definitely a Business account. I am going to make sure the email address associated with my PayPal account is fully verified/confirmed etc.

Can I revert back to using PayPal Express and PayPal Pro instead of PayPal Commerce? I never had any issue with those.

Since switching to PayPal Commerce I also had other issues which were never fully resolved like: duplicate payments, payments just not going through, and payments that went through on PayPal but did not get recorded by EE. Most payments were fine, but issues with 5-10% of them.

But yes, please send me version 5.0.11.p and I will try that also.


Rio

  • Support Staff

February 7, 2024 at 7:52 pm

This reply has been marked as private.


Rio

  • Support Staff

February 7, 2024 at 7:55 pm

@Ted Karlsalr – Can you open new thread, indicating the problem, if you have error message or log, that would be great.

Can you check if you can connect your square account and paypal account to EE? Do you have error while doing it?

thanks


Ted Karlsalr

February 7, 2024 at 7:59 pm

I have the exact same issue with the same error messages. I deactivates the PayPal Commerce and activate the Square and PayPal express with no issues. The problem with the PayPal commerce started after I updated ee to version 5.0.17.
Do you still want me to open a new ticket?

Thanks
Ted


Rio

  • Support Staff

February 7, 2024 at 9:50 pm

Yes please, you’re issue might be different. This thread issue is about Paypal Commerce error message with

this merchant is not eligible for advance card fields checkout type

for your paypal, Tell us your account type? is your account fully verified?
What error did you receive? If you have Got an error response (AJAX), possibly that account was not connected.

Did you also try this step?
1. Go to EE dashboard -> Payment method -> Paypal Commerce -> Disconnect
2. Clear the Meta Data button you’ll find on the bottom of the page
3. Connect again your paypal account.

If you can use loom to record what happen, it would be great.
https://loom.com/

thanks

You must be logged in to reply to this support post. Sign In or Register for an Account

Event Espresso